<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Formularios</title>
  </head>
  <body>
    <header>
      <h1>Formularios</h1>
      <ul>
        <li>
          <a href="index.html">Volver a inicio</a>
        </li>
      </ul>
    </header>

    <main>
      <!--Así empieza un formulario-->
      <form action="https://www.twitter.api.com" method="" onsubmit="">
        <!--fieldset agrupa, y legend lo nombra-->
        <fieldset><legend>Cosinas</legend>
            <label for="name">Nombre:</label>
            <!--Todas las label deben referenciar un input (id y for)-->
            <input
              id="name"
              type="text"
              placeholder="Escribe tu nombre..."
              required
              autocomplete="off"
              autofocus
              minlength="2"
              maxlength="10"
            />
            <!--type para darle sentido al formulario, 
                y placeholder para añadir un texto en el campo
            Required para que ese campo sea obligatorio
        autocomplete: elimina las sugerencias
    autofocus: pone el ratón automáticamente ahí, sólo uno por página-->
    <br>
            <label for="email">Email:</label>
            <input id="email" type="email" required readonly value="pepe@mail.com"/>
    <br>
            <label for="pass">Password:</label>
            <input id="pass" type="password" required>
    <br>
            <label for="url">Página:</label>
            <input id="url" type="url">
    <br>
            <label for="age">Edad:</label>
            <input id="age" type="number" min="18" max="30">
    <br>
            <label for="tel">Teléfono:</label>
            <input id="tel" type="tel" maxlength="9">
        </fieldset>

<br>
        <label for="acceso">Código de acceso oculto :)</label>
        <input id="acceso" value="162381723" hidden>

        <label for="dentist">Cita:</label>
        <input id="dentist" type="date" min="2023-2-09" max="2023-2-20"><!--Año-mes-dia orden-->

        <label for="exam">Examen:</label>
        <input id="exam" type="datetime-local">

        <label id="term">Términoops</label>
        <input id="term" type="checkbox" required>

<p>Tamaño de tu hamburguesa</p> <!--name reúne todos los check en un mismo grupo-->
        <label for="P">Pequeña</label>
        <input id="P" name="size" type="radio" value="small">

        <label for="M">Mediana</label>
        <input id="M" name="size" type="radio" value="medium">

        <label for="G">Grande</label>
        <input id="G" name="size" type="radio" value="big">


        <label for="foto">Sube tu foto</label>
        <input id="foto" type="file" multiple placeholder="Send nudes" accept=".png, .jpg">

        <label for="br">Brillo:</label>
        <input id="br" type="range" step="225" max="1000">
<br>
        <label for="notes">Notas:</label>
        <textarea id="notes" cols="30" rows="6" placeholder="tiki tiki"></textarea>

        <label for="pr">Algo</label>
        <select id="pr" name="pr" multiple>

            <optgroup label="Duda">
                <option value="si">Si?</option>
                <option value="seg">Seguro?</option>
            </optgroup>
            
            <optgroup label="En serio">
                <option value="dv">De verdad</option>
                <option value="dv">Te lo juro</option>
            </optgroup>

        </select>
        <button type="reset">Limpiar</button>
        <button>Mandar</button>

      </form>
    </main>
  </body>
</html>
